  // test/mocha.js
  //   Cloud9 IDE mocha test runner, to debug tests interactively
  //
  // January 2014 by JeanHuguesRobert aka @jhr
  
  // Please change target and run in debug mode
  var Target = "test/boxon.js";
  
  var Mocha = require( "mocha" );
  Mocha = new Mocha();
  Mocha.ui();
  Mocha.reporter( function( r ){
  var i = 1, n = r.grepTotal( r.suite) ;
      r.on( "fail", function( t ){ 
        console.log("\x1b[31m[%d/%d] %s FAIL\x1b[0m", i++, n, t.fullTitle());
      });
      r.on( "pass", function( t ){
        console.log("\x1b[32m[%d/%d] %s OK\x1b[0m", i++, n, t.fullTitle());
      });
      r.on( "pending", function( t ){
        console.log("\x1b[33m[%d/%d] %s SKIP\x1b[0m", i++, n, t.fullTitle());
      });
  });
  Mocha.addFile( Target );
  Mocha.run( process.exit );
  